# Get Projects

/api/third-party/projects

It returns basic details of this project. The optional query parameters are:&#x20;

## Get projects

<mark style="color:blue;">`GET`</mark> `https://teamsync.ink/api/third-party/projects`

It returns basic details of this project. The optional query parameters are:&#x20;

#### Query Parameters

| Name      | Type    | Description                                                  |
| --------- | ------- | ------------------------------------------------------------ |
| limit     | integer | default to 10                                                |
| page      | integer | default to 1                                                 |
| search    | string  | search within names, email, skills, state and country field. |
| sortyBy   | string  | sort by the return fields                                    |
| sortOrder | String  | 1 for descending order and 0 for descending                  |

{% tabs %}
{% tab title="200: OK " %}

```json
{
name: string, 
status: string,
description: string, 
createdAt: date,
skills: array of strings, 
experienceLevel: string, 
memberNeeded: string, 
projectCategory: string,
personelNeeded: string,
budget: integer, 
scope: string,
isPublished: boolean, 
type:string,
owner:{
firstName:string, 
lastName:string, 
email:string
}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.teamsync.tools/projects/get-projects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
